LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XAccessibleTextSelection Interface Reference

`import"XAccessibleTextSelection.idl";`

Inheritance diagram for XAccessibleTextSelection:

## Public Member Functions
boolean | scrollToPosition ([in] ::com::sun::star::awt::Point aPoint, [in] boolean isLeftTop) raises (::com::sun::star::lang::IllegalArgumentException)
long | getSelectedPortionCount ()
long | getSeletedPositionStart ([in] long nSelectedPortionIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
long | getSeletedPositionEnd ([in] long nSelectedPortionIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
long | addSelection ([in] long selectionIndex, [in]long startOffset, [in] long endOffset) raises (::com::sun::star::lang::IndexOutOfBoundsException)
boolean | removeSelection ([in] long selectionIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Member Function Documentation

## ◆ addSelection()

long addSelection | ( | [in] long | selectionIndex,
|  | [in] long | startOffset,
|  | [in] long | endOffset
| ) |  |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

## ◆ getSelectedPortionCount()

long getSelectedPortionCount | ( |  | ) |

## ◆ getSeletedPositionEnd()

long getSeletedPositionEnd | ( | [in] long | nSelectedPortionIndex | ) |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

## ◆ getSeletedPositionStart()

long getSeletedPositionStart | ( | [in] long | nSelectedPortionIndex | ) |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

## ◆ removeSelection()

boolean removeSelection | ( | [in] long | selectionIndex | ) |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

## ◆ scrollToPosition()

boolean scrollToPosition | ( | [in] ::com::sun::star::awt::Point | aPoint,
|  | [in] boolean | isLeftTop
| ) |  |
raises | ( | ::com::sun::star::lang::IllegalArgumentException
| ) |  |

The documentation for this interface was generated from the following file:

- com/sun/star/accessibility/XAccessibleTextSelection.idl